org.apache.ivy.ant

## Class IvyResolve

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyResolve

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyResolve
    extends IvyTask

This task allow to call the Ivy dependency resolution from ant.

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyResolve()`

### Method Summary

Methods
`IvyConflict` `createConflict()`
`IvyDependency` `createDependency()`
`IvyExclude` `createExclude()`
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`protected java.util.Collection` `getAllowedLogOptions()`
`java.lang.String` `getBranch()`
`boolean` `getCheckIfChanged()`
`java.lang.String` `getConf()`
`java.lang.String` `getDate()`
`java.lang.String` `getFailureProperty()`
`java.io.File` `getFile()`
`java.lang.String` `getLog()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getResolveId()`
`java.lang.String` `getResolveMode()`
`java.lang.String` `getRevision()`
`java.lang.String` `getType()`
`boolean` `isChanging()`
`boolean` `isHaltonfailure()`
`boolean` `isInline()`
`boolean` `isKeep()`
`boolean` `isRefresh()`
`boolean` `isTransitive()`
`boolean` `isUseCacheOnly()`
`boolean` `isUseOrigin()`
`protected void` `prepareTask()` Called when task starts its execution.
`void` `setBranch(java.lang.String branch)`
`void` `setCache(java.io.File cache)`
`void` `setChanging(boolean changing)`
`void` `setCheckIfChanged(boolean checkIfChanged)`
`void` `setConf(java.lang.String conf)`
`void` `setDate(java.lang.String pubdate)`
`void` `setFailureProperty(java.lang.String failureProperty)`
`void` `setFailurePropery(java.lang.String failureProperty)` Deprecated. Use `setFailureProperty(String)` instead
`void` `setFile(java.io.File file)`
`void` `setHaltonfailure(boolean haltOnFailure)`
`void` `setInline(boolean inline)`
`void` `setKeep(boolean keep)`
`void` `setLog(java.lang.String log)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setRefresh(boolean refresh)`
`void` `setResolveId(java.lang.String resolveId)`
`void` `setResolveMode(java.lang.String resolveMode)`
`void` `setRevision(java.lang.String revision)`
`void` `setShowprogress(boolean show)`
`void` `setTransitive(boolean transitive)`
`void` `setType(java.lang.String type)`
`void` `setUseCacheOnly(boolean useCacheOnly)`
`void` `setUseOrigin(boolean useOrigin)`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyResolve

    public IvyResolve()

### Method Detail

#### isUseOrigin

    public boolean isUseOrigin()

#### setUseOrigin

    public void setUseOrigin(boolean useOrigin)

#### getDate

    public java.lang.String getDate()

#### setDate

    public void setDate(java.lang.String pubdate)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getBranch

    public java.lang.String getBranch()

#### setBranch

    public void setBranch(java.lang.String branch)

#### setCache

    public void setCache(java.io.File cache)

#### getConf

    public java.lang.String getConf()

#### setConf

    public void setConf(java.lang.String conf)

#### getFile

    public java.io.File getFile()

#### setFile

    public void setFile(java.io.File file)

#### isHaltonfailure

    public boolean isHaltonfailure()

#### setHaltonfailure

    public void setHaltonfailure(boolean haltOnFailure)

#### setShowprogress

    public void setShowprogress(boolean show)

#### isUseCacheOnly

    public boolean isUseCacheOnly()

#### setUseCacheOnly

    public void setUseCacheOnly(boolean useCacheOnly)

#### getType

    public java.lang.String getType()

#### setType

    public void setType(java.lang.String type)

#### isRefresh

    public boolean isRefresh()

#### setRefresh

    public void setRefresh(boolean refresh)

#### getLog

    public java.lang.String getLog()

#### setLog

    public void setLog(java.lang.String log)

#### setFailurePropery

    @Deprecated
    public void setFailurePropery(java.lang.String failureProperty)

Deprecated. Use `setFailureProperty(String)` instead

#### setFailureProperty

    public void setFailureProperty(java.lang.String failureProperty)

#### getFailureProperty

    public java.lang.String getFailureProperty()

#### createDependency

    public IvyDependency createDependency()

#### createExclude

    public IvyExclude createExclude()

#### createConflict

    public IvyConflict createConflict()

#### prepareTask

    protected void prepareTask()

Description copied from class: `IvyTask`
Called when task starts its execution.

Overrides:
  `prepareTask` in class `IvyTask`

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`

#### getAllowedLogOptions

    protected java.util.Collection getAllowedLogOptions()

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### isTransitive

    public boolean isTransitive()

#### setTransitive

    public void setTransitive(boolean transitive)

#### isChanging

    public boolean isChanging()

#### setChanging

    public void setChanging(boolean changing)

#### isKeep

    public boolean isKeep()

#### setKeep

    public void setKeep(boolean keep)

#### isInline

    public boolean isInline()

#### setInline

    public void setInline(boolean inline)

#### getResolveId

    public java.lang.String getResolveId()

#### setResolveId

    public void setResolveId(java.lang.String resolveId)

#### getResolveMode

    public java.lang.String getResolveMode()

#### setResolveMode

    public void setResolveMode(java.lang.String resolveMode)

#### getCheckIfChanged

    public boolean getCheckIfChanged()

#### setCheckIfChanged

    public void setCheckIfChanged(boolean checkIfChanged)